#
# Conditional build:
%bcond_with	tests		# build without tests

%define pkgname hpricot
Summary:	A fast and easy HTML parser
Summary(pl.UTF-8):	Szybki i prosty analizator HTML-a
Name:		ruby-%{pkgname}
Version:	0.8.6
Release:	7%{?tld}
License:	MIT
Group:		Development/Languages
#Source0Download: https://github.com/hpricot/hpricot/releases
Source0:	https://github.com/hpricot/hpricot/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	22cb09304283a1b9590385850bd462c1
URL:		https://rubygems.org/gems/hpricot
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	setup.rb >= 3.4.1-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's HTree
and John Resig's JQuery, but with the scanner recoded in C (using
Ragel for scanning.) I've borrowed what I believe to be the best ideas
from these wares to make Hpricot heaps of fun to use.

%description -l pl.UTF-8
Hpricot to bardzo elastyczny analizator HTML-a, oparty na HTree Tanaka
Akiry i JQuery Johna Resiga, ale ze skanerem napisanym w C
(wykorzystującym Ragela). Z tych wyrobów zapożyczono najlepsze
pomysły, aby uczynić Hpricota najprzyjemniejszym w użyciu.

%prep
%setup -q -n hpricot-%{version}

cp %{_datadir}/setup.rb .

cd ext/hpricot_scan
ls *.c *.h > MANIFEST

%build
# make gemspec self-contained
ruby -r rubygems -e 'spec = eval(File.read("%{pkgname}.gemspec"))
	File.open("%{pkgname}-%{version}.gemspec", "w") do |file|
	file.puts spec.to_ruby_for_cache
end'

%{__ruby} setup.rb config \
	--rbdir=%{ruby_vendorlibdir} \
	--sodir=%{ruby_vendorarchdir}

%{__ruby} setup.rb setup

%if %{with tests}
%{__ruby} -Ilib -Iext/fast_xs -Iext/hpricot_scan -r hpricot -e 1
%endif

# rdoc crashes on _why's craaazy code.
#rdoc --op rdoc lib
#rdoc --ri --op ri lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_specdir},%{ruby_ridir}}
%{__ruby} setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

#cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/hpricot.rb
%{ruby_vendorlibdir}/hpricot
%attr(755,root,root) %{ruby_vendorarchdir}/fast_xs.so
%attr(755,root,root) %{ruby_vendorarchdir}/hpricot_scan.so
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Wed May 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ruby-hpricot.git;a=log;h=d00cd984d6c14c534b15b628869435ba7857a614

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> d00cd98
- release 7 (by relup.sh)

* Sun Mar 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 3506717
- use github archive URL

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 1d31e5a
- rebuild with ruby 2.4
- release 6 (by relup.sh)

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 8348e71
- use updated setup.rb

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 5d0a51a
- rebuild with ruby 2.3
- release 4 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> d7ccc16
- ruby 2.1 rebuild
- release 3 (by relup.sh)

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 8ce02ba
- build with rubygem provides

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 71d639c
- up to  0.8.6 (17 January 2012)

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 997220a
- add tests, trivial load test for now

* Fri Oct 16 2015 Elan Ruusamäe <glen@delfi.ee> 1143cc7
- install to vendor dirs, cleanups

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> b56780e
- rebuild for ruby 2.0
- release 4 (by relup.sh)

* Tue Oct 18 2011 hawk <hawk@pld-linux.org> 381d4c7
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 76d1734
- BR: ruby-devel, ruby-modules
- dropped unused BR: ruby-rake

* Mon Nov 15 2010 pawelz <pawelz@pld-linux.org> aa701be
- release 2

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> a9ccac6
- License

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> 8034396
- up to 0.8.2
- updated URL, Source0 and deps

* Thu Sep 06 2007 aredridel <aredridel@pld-linux.org> a35b2ce
- 0.6

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 3c1b2e7
- massive attack: correct ri output path for ruby 1.8.6

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 8382cd2
- pl

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 494cf97
- tabs in preamble

